Subject: Re: Running Cygnus tools under Visual Studio is Broken in b18 (NBY)
From: [email-masked] (Earnie Boyd)

19 Dec 1997 06:02:11 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Hi Garret,

You need to check Sergey Okhapkins page listed below.

Let me point you to:

ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)

http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)

http://www.cygnus.com/misc/gnu-win32/                (Project Page)

http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)

http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)

http://www.lexa.ru/sos                               (Sergey Okhapkin)

http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)

http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Thu, 18 Dec 1997 22:55:51 -0800
>From: Garret Swart <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>Subject: Running Cygnus tools under Visual Studio is Broken in b18
>
>I've been running GNU make and friends under Microsoft's Visual Studio
>(aka Visual C++, aka MSDEV) using the Makefile project type.  This was
>working fine until I upgraded to b18 from b17.1.  Now when I run
>processes from MSDEV all I get is the error messages at the end of the
>message.
>
>When I instead try to use the compile command on GNU emacs 19.34.1
>i386-*-nt4.0 of Aug 28, 1996, I get:
>
>  cd ~/cygnus/
>  make -k
>  /c: /c: No such file or directory
>
>  Compilation exited abnormally with code 1 at Thu Dec 18 22:41:37
>
>When running GNU tools in a console window, I've noticed that the
>process name of the currently executing sub-process now appears in the
>window banner.  In b17.1 of the Cygnus tools did not happen.  Is there 
a
>way of turning this off?  Having the banner track the 100's of calls 
per
>minute to various GNU tools being run by make is distracting and seems
>to cause a loss of stability.  Could this be related to the problem
>above?
>
>Here is what gets printed out when I run make under MSDEV, note that
>Win32 error 87 is invalid parameter.
>
>(unknown) heap_init: unable to allocate heap, win32 error 87
>cygwin: terminating
>(unknown) In cygwin_except_handler
>(unknown) Exception trapped!
>(unknown) exception C0000005 at 1001E4B2
>(unknown) exception: ax 0 bx 0 cx 401 dx FFFFFFFF
>(unknown) exception: si 0 di 0 bp 242FB38 sp 242FB38
>(unknown) exception is: STATUS_ACCESS_VIOLATION
>(unknown) Stack trace:
>(unknown) frame 0: sp = 0x242F96C, pc = 0x1001282A
>(unknown) frame 1: sp = 0x242F988, pc = 0x77F94512
>(unknown) frame 2: sp = 0x242F9AC, pc = 0x77F88EEB
>(unknown) frame 3: sp = 0x242FA38, pc = 0x77F76266
>(unknown) frame 4: sp = 0x242FB38, pc = 0x10011D4D
>(unknown) frame 5: sp = 0x242FB4C, pc = 0x10018972
>(unknown) frame 6: sp = 0x242FB64, pc = 0x10011615
>(unknown) frame 7: sp = 0x242FF9C, pc = 0x10011BFF
>(unknown) frame 8: sp = 0x242FFA8, pc = 0x41F284
>(unknown) frame 9: sp = 0x242FFB8, pc = 0x401012
>(unknown) frame 10: sp = 0x242FFC0, pc = 0x77F1B304
>(unknown) frame 11: sp = 0x242FFF0, pc = 0x0
>(unknown) End of stack trace
>(unknown) In cygwin_except_handler
>(unknown) Error while dumping state (probably corrupted stack)
>(unknown) In cygwin_except_handler
>... repeats indefinitely
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".